%global tarball xf86-video-amdgpu
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers


Name: x11-driver-video-amdgpu
Version: 1.4.0
Release: %mkrel 1
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
License: MIT
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-amdgpu-%{version}.tar.xz

BuildRequires: x11-util-macros 
BuildRequires: lib64drm-devel
BuildRequires: lib64pciaccess-devel
BuildRequires: lib64pixman-devel
BuildRequires: lib64udev0-devel 
BuildRequires: mesa-devel 
BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-amdgpu is the X.org driver for AMD.

%prep
%setup -qn %{tarball}-%{?gitdate:%{gitdate}}%{?!gitdate:%{version}}

%build
autoreconf -fiv
%configure2_5x --enable-glamor
%make_build

%install
rm -rf %buildroot
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{driverdir}/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*


%changelog
* Tue Oct 24 2017 bb2 <bb2> - 1.4.0-1pclos2017
- new version

* Sun Mar 26 2017 bb2 <bb2> - 1.3.0-2pclos2017
- rebuild new xorg

* Wed Mar 22 2017 bb2 <bb2> - 1.3.0-1pclos2017
- new version
